<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <div>
        <ul>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
            <li>Hola mundo</li>
        </ul>
        <input type="button" id="paresVerdes" value="Colorea de blanco sobre fondo verde los pares"><br>
        <input type="button" id="imparesVerdes" value="Colorea de verde los elementos impares">
    </div>

    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script>
        $(document).ready(function(){
            $("#paresVerdes").click(function(){
                $("li:nth-of-type(even)").each(verdePar);
            });
            $("#imparesVerdes").click(function(){
                $("li:nth-of-type(odd)").each(impares);
            })

            function verdePar(){
                $(this).css("background-color", "green");
                $(this).css("color", "white")
            }

            function impares(){
                $(this).css("color", "green");
            }
        })
    </script>

    
</body>
</html>